Subject: Re: linux-next: Tree for Nov 20

From: Guenter Roeck <[email-masked]>
Date: Thu, 20 Nov 2014 06:46:47 -0800

On Thu, Nov 20, 2014 at 06:46:53PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Changes since 20141119:
> 
> The asm-generic tree lost its build failure.
> 
> The omap_dss2 tree still had its build failure for which I applied a patch.
> 
> The devicetree tree gained a conflict against the devicetree-current tree.
> 
> Non-merge commits (relative to Linus' tree): 7146
>  7140 files changed, 242712 insertions(+), 180038 deletions(-)
> 
> ----------------------------------------------------------------------------
> 
Build results:
	total: 133 pass: 130 fail: 3
Failed builds:
	arm:davinci_all_defconfig
	arm:orion5x_defconfig
	hexagon:defconfig

Qemu test results:
	total: 30 pass: 30 fail: 0

I assume the arm architecture folks will take care of the arm build failures,
so I did not have a look into those. The hexagon build failure is due to a
subtle change in files includes by other include files, resulting in a nested
dependency which is no longer met. That may be tricky to fix.

The qemu x86:nonsmp test only passes because I disabled PCI_MSI for this test.
Claim there is that qemu would not implement some IO_APIC related functionality
which is now mandatory.

Guenter